use actix_web::{web, App, HttpServer, Responder, HttpResponse};
use serde::{Serialize, Deserialize};
use uuid::Uuid;
use std::sync::mutex;
use anyhow::Result;

#[derive(Debug, Serialize, Deserialize)]
struct User {
    uuid: Uuid,
    server: Server
}

#[derive(Debug, Serialize, Deserialize)]
struct Server {
    address: String
}

#[derive(Debug, Serialize, Deserialize)]
struct Relay {
    uuid: Uuid,
    name: String,
    members: Mutex<Vec<User>>
}

#[derive(Debug, Serialize, Deserialize, Default)]
struct AppState {
    users:  Mutex<Vec<User>>,
    relays: Mutex<Vec<Relay>>
}


